Bug 1241198 - [abrt] NetworkManager: nm_supplicant_interface_get_scanning(): NetworkManager killed by SIGSEGV
Summary: [abrt] NetworkManager: nm_supplicant_interface_get_scanning(): NetworkManager...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fc806cfab74a6e65c89596e1068...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-08 17:36 UTC by Chris Murphy
Modified: 2016-04-03 17:51 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-1.0.12-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-03 17:51:10 UTC


Attachments (Terms of Use)
File: backtrace (18.48 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: cgroup (208 bytes, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: core_backtrace (8.83 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: dso_list (7.08 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: environ (72 bytes, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: maps (33.17 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: mountinfo (3.79 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: open_fds (2.90 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: proc_pid_status (974 bytes, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details
File: var_log_messages (13.19 KB, text/plain)
2015-07-08 17:36 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2015-07-08 17:36:20 UTC
Version-Release number of selected component:
NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_supplicant_interface_get_scanning
executable:     /usr/sbin/NetworkManager
global_pid:     934
kernel:         4.2.0-0.rc1.git0.1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 nm_supplicant_interface_get_scanning at supplicant-manager/nm-supplicant-interface.c:316
 #1 scanning_allowed at nm-device-wifi.c:1368
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 g_cclosure_marshal_generic at gclosure.c:1448
 #7 g_signal_emitv at gsignal.c:3044
 #8 check_scanning_allowed at nm-device-wifi.c:1420
 #9 request_wireless_scan at nm-device-wifi.c:1498

Comment 1 Chris Murphy 2015-07-08 17:36:23 UTC
Created attachment 1049929 [details]
File: backtrace

Comment 2 Chris Murphy 2015-07-08 17:36:24 UTC
Created attachment 1049930 [details]
File: cgroup

Comment 3 Chris Murphy 2015-07-08 17:36:24 UTC
Created attachment 1049931 [details]
File: core_backtrace

Comment 4 Chris Murphy 2015-07-08 17:36:25 UTC
Created attachment 1049932 [details]
File: dso_list

Comment 5 Chris Murphy 2015-07-08 17:36:26 UTC
Created attachment 1049933 [details]
File: environ

Comment 6 Chris Murphy 2015-07-08 17:36:27 UTC
Created attachment 1049934 [details]
File: limits

Comment 7 Chris Murphy 2015-07-08 17:36:28 UTC
Created attachment 1049935 [details]
File: maps

Comment 8 Chris Murphy 2015-07-08 17:36:28 UTC
Created attachment 1049936 [details]
File: mountinfo

Comment 9 Chris Murphy 2015-07-08 17:36:29 UTC
Created attachment 1049937 [details]
File: namespaces

Comment 10 Chris Murphy 2015-07-08 17:36:29 UTC
Created attachment 1049938 [details]
File: open_fds

Comment 11 Chris Murphy 2015-07-08 17:36:30 UTC
Created attachment 1049939 [details]
File: proc_pid_status

Comment 12 Chris Murphy 2015-07-08 17:36:31 UTC
Created attachment 1049940 [details]
File: var_log_messages

Comment 13 Jirka Klimes 2015-07-10 07:55:58 UTC
#0  nm_supplicant_interface_get_scanning (self=0x55dfbf30a2d0) at supplicant-manager/nm-supplicant-interface.c:316
        priv = 0x0
        __FUNCTION__ = "nm_supplicant_interface_get_scanning"

priv is NULL, so the NMSupplicantInterface must be invalid. Hmm, but just before nm_supplicant_interface_get_state() passed with the same object.

Chris, any idea how to trigger the bug?

Comment 14 Chris Murphy 2015-07-10 13:23:13 UTC
No. Many different things were all happening at this time and I'm not even sure at what point the crash happened, but then saw the notification so I filed the bug.

Comment 15 Fedora Admin XMLRPC Client 2015-08-18 15:00:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Dan Williams 2016-02-27 16:06:02 UTC
Might be related to bug 1298007 as that fixed possible invalid reference counting in the supplicant code.

Comment 17 Thomas Haller 2016-03-02 15:09:58 UTC
(In reply to Dan Williams from comment #16)
> Might be related to bug 1298007 as that fixed possible invalid reference
> counting in the supplicant code.

bug 1298007 happens when the wifi device gets renamed. The information on this bug isn't sufficient to determine whether that was the case. However, it might well be.

please read
https://bugzilla.redhat.com/show_bug.cgi?id=1298007#c19
https://bugzilla.redhat.com/show_bug.cgi?id=1298007#c20

With NetworkManager-1.0.10-3.fc22, the crash should be avoided. If it still happens, we know it's a different issue.

Comment 18 Fedora Update System 2016-04-02 05:25:42 UTC
NetworkManager-1.0.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8201e3fefa

Comment 19 Fedora Update System 2016-04-03 17:50:54 UTC
NetworkManager-1.0.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.